{ lib, config, ... }:
let cfg = config.hostcfg.make.virt;
in {
  config = lib.mkIf cfg {
    virtualisation = {
      # libvirtd.enable = true;
      # waydroid.enable = true;
      # lxd.enable = true;
      docker = {
        enable = true;
        rootless = {
          enable = true;
          setSocketVariable = true;
        };
      };
    };
  };
}
